use @IPV6 instead of +kmod-ipv6
authorAlexander Couzens <lynxis@fe80.eu>
Sun, 5 Jun 2016 00:11:34 +0000 (02:11 +0200)
committerAlexander Couzens <lynxis@fe80.eu>
Sun, 5 Jun 2016 00:44:32 +0000 (02:44 +0200)
kmod-ipv6 is obsolete.
The symbol IPV6 is a global config symbol, don't select it because it
will override the user decision of IPV6 as all other package in base do
it. A select (+) will also create a recursive dependency error.

Signed-off-by: Alexander Couzens <lynxis@fe80.eu>
alfred/Makefile
nat46/Makefile
ndppd/Makefile

index 2e117b3..5701c0a 100644 (file)
@@ -28,7 +28,7 @@ define Package/alfred
   SECTION:=net
   CATEGORY:=Network
   TITLE:=A.L.F.R.E.D. - Almighty Lightweight Fact Remote Exchange Daemon
-  DEPENDS:= +libc +kmod-ipv6 +librt \
+  DEPENDS:= +libc @IPV6 +librt \
          +ALFRED_NEEDS_lua:lua \
          +ALFRED_NEEDS_libgps:libgps
 endef
index 65b92c2..9f08b07 100644 (file)
@@ -37,7 +37,7 @@ define Package/464xlat
 endef
 
 define KernelPackage/nat46
-  DEPENDS:=+kmod-ipv6
+  DEPENDS:=@IPV6
   TITLE:=Stateless NAT46 translation kernel module
   SECTION:=kernel
   SUBMENU:=Network Support
index ebc764c..b19edeb 100644 (file)
@@ -32,7 +32,7 @@ define Package/ndppd
   TITLE:=NDP Proxy Daemon
   URL:=http://www.priv.nu/projects/ndppd/
   MAINTAINER:=Gabriel Kerneis <gabriel@kerneis.info>
-  DEPENDS:=+kmod-ipv6 $(CXX_DEPENDS)
+  DEPENDS:=@IPV6 $(CXX_DEPENDS)
 endef
 
 define Package/ndppd/description